System Requirements

 
  Microsoft retires support to older Internet Explorer (IE) browsers; the CAP will RETIRE SUPPORT OF IE 9 as of April 1, 2017.

For the best experience, we encourage you to use Mozilla Firefox. If you prefer to use other browsers, please be sure to review the system requirements below.

Windows 7, 8, 8.1 & 10

Compatible; Not Recommended

Websites and Applications

Microsoft
Internet Explorer
(9, 10, 11)

Microsoft Edge

Mozilla Firefox

Google Chrome

Notes

Public Website and Microsites

 

Learning

 

e-LAB Solutions Suite

(*Exceptions)

  • Enable pop-ups
  • Must have Flash Player 9
  • Use Acrobat Adobe reader 8+
  • * Set up Adobe as default PDF reader on Firefox
  • Enterprise mode must be turned off (for IE11 only)
  • How to adjust browser settings

Online Store

 

  For creating an online account, please be sure to turn on the compatibility view if you use Internet Explorer 9 and above.

Mac OSX

Compatible; Not Recommended

Websites and Applications

Mac Safari
(6, 6.2, 7.1, 8, 9)

 

Mozilla Firefox

Google Chrome

Notes

Public Website and Microsites

 

 

Learning

 

 

e-LAB Solutions Suite

 

(*Exceptions)

Online Store